- entityDefinitions:
  - IDC_ReportSortDescriptor: '{26540b51-9a9d-4988-b5a0-199a9f1e4ae1}'

  - IDR_Report_Sort_Descriptor__has__Report_Field: '{ae848770-22dd-454c-8208-28f980bc5ebf}'
  - IDR_Report_Field__for__Report_Sort_Descriptor: '{419d69c7-477a-43bf-bb9a-421d01894eb7}'
  - IDR_Report_Sort_Descriptor__has__Report_Sort_Direction: '{e87b778a-4ed2-4ec7-8840-ab14d6be81d8}'
  - IDR_Report_Sort_Direction_for__Report_Sort_Descriptor: '{6f7d1442-27fb-4d8c-9599-febbe0046d16}'

  - IDA_DisplayHeaders: '{0cb4daad-a3bb-40c2-a842-007ad68e2ed9}'
  - IDA_SummarizeDetailRows: '{0b8670f0-7f62-46dd-a2be-b7eee37b8149}'
  - IDA_DisplaySubtotals: '{0b95556c-a40e-471a-b5c3-09dd0f55d232}'
  
- library: '&IDL_MochaBaseSystem;'
  instances:

  - booleanAttribute: '&IDA_DisplayHeaders;'
    name: 'Display Headers'
  - booleanAttribute: '&IDA_SummarizeDetailRows;'
    name: 'Summarize Detail Rows'
  - booleanAttribute: '&IDA_DisplaySubtotals;'
    name: 'Display Subtotals'
    
  - class: '&IDC_ReportSortDescriptor;'
    name: Report Sort Descriptor
    index: 4319
    moduleId: '&IDI_Module_MochaBaseSystem_Reporting;'
    registerForTemplate: yes
    attributes:
    - instance: '&IDA_DisplayHeaders;'
      customTagName: 'displayHeaders'
    - instance: '&IDA_SummarizeDetailRows'
      customTagName: 'summarizeDetailRows'
    - instance: '&IDA_DisplaySubtotals;'
      customTagName: 'displaySubtotals'
    - instance: '&IDA_LabelOverride;'
      customTagName: 'groupNameOverride'
    relationships:
    - instance: '&IDR_Report_Sort_Descriptor__has__Report_Field;'
      customTagName: 'reportFieldId'
    - instance: '&IDR_Report_Sort_Descriptor__has__Report_Sort_Direction;'
      customTagName: 'sortDirctionId'

  - relationship: '&IDR_Report_Sort_Descriptor__has__Report_Field;'
    index: 3852
    sourceClassId: '&IDC_ReportSortDescriptor;'
    type: 'has'
    destinationClassId: '&IDC_ReportField;'
    siblingRelationshipId: '&IDR_Report_Field__for__Report_Sort_Descriptor;'
    singular: yes

  - relationship: '&IDR_Report_Field__for__Report_Sort_Descriptor;'
    index: 3853
    sourceClassId: '&IDC_ReportField;'
    type: 'for'
    destinationClassId: '&IDC_ReportSortDescriptor;'
    siblingRelationshipId: '&IDR_Report_Sort_Descriptor__has__Report_Field;'
    singular: no

  - relationship: '&IDR_Report_Sort_Descriptor__has__Report_Sort_Direction;'
    index: 4015
    sourceClassId: '&IDC_ReportSortDescriptor;'
    type: 'has'
    destinationClassId: '&IDC_ReportSortDirection;'
    siblingRelationshipId: '&IDR_Report_Sort_Direction_for__Report_Sort_Descriptor;'
    singular: yes

  - relationship: '&IDR_Report_Sort_Direction_for__Report_Sort_Descriptor;'
    index: 4016
    sourceClassId: '&IDC_ReportSortDirection;'
    type: 'for'
    destinationClassId: '&IDC_ReportSortDescriptor;'
    siblingRelationshipId: '&IDR_Report_Sort_Descriptor__has__Report_Sort_Direction;'
    singular: no
